Page MenuHomePhabricator

Remove items from Meta-Wiki page [[Special:Contact/requestlicense]]
Closed, ResolvedPublic

Description

Legal would like to remove a few items from Special:Contact/requestlicense on Meta-Wiki. They'd like to remove everything here except for:

  • Name
  • Email
  • Subject
  • Wikimedia chapter, thematic organization, or user group & title (if any)
  • Description of Usage

I believe the page was set up in 2014. The text is here, but not sure if just removing the JSON would actually do the job, or if other steps would be required: https://gerrit.wikimedia.org/g/mediawiki/extensions/WikimediaMessages/+/ede0da4d701193cb3f7d6dbf0dce6b66a23b26e7/i18n/contactpage/en.json

Looks like the actual code is here: https://gerrit.wikimedia.org/g/operations/mediawiki-config/+/c1815df3548689fff4af330e5d46f3d2c67855b6/wmf-config/MetaContactPages.php

Event Timeline

As the WMF-Legal project tag was added to this task, some general information to avoid wrong expectations:
Please note that public tasks in Wikimedia Phabricator are in general not a place where to expect feedback from the Legal Team of the Wikimedia Foundation due to the scope of the team and/or nature of legal topics. See the project tag description.
Please see https://meta.wikimedia.org/wiki/Legal for when and how to contact the Legal Team. Thanks!

For the records, https://www.mediawiki.org/wiki/Developers/Maintainers states that the WikimediaMessages extension has no code stewards...

Is the note message ("Note: if we grant a trademark permission, we may list your use in a public list of authorized uses.") needed to be kept here?

MarcoAurelio changed the task status from Open to In Progress.Jun 30 2022, 10:14 AM
MarcoAurelio claimed this task.
MarcoAurelio triaged this task as Low priority.
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 809932 had a related patch set uploaded (by MarcoAurelio; author: MarcoAurelio):

[operations/mediawiki-config@master] Amend license request contact form per Legal

https://gerrit.wikimedia.org/r/809932

MarcoAurelio changed the task status from In Progress to Open.Jul 9 2022, 7:22 AM

Patched, waiting review.

Change 809932 merged by jenkins-bot:

[operations/mediawiki-config@master] Amend license request contact form per Legal

https://gerrit.wikimedia.org/r/809932

Mentioned in SAL (#wikimedia-operations) [2022-08-03T13:16:26Z] <urbanecm@deploy1002> Synchronized wmf-config/MetaContactPages.php: f89f02e306a1fa580fa41ba56de978f4208ea672: Amend license request contact form per Legal (T303359) (duration: 09m 27s)

MarcoAurelio moved this task from ready/patched to cabinet on the User-MarcoAurelio board.

Done. Please consider sending a test email through that form to confirm everything works okay in the background, @jrbs.